Upgrade from 3.0.RC5 to 3.0.4

Temporary forum to obtain support while phpBB.com is offline.
Please use the support forum on phpBB.com
Forum rules
Temporary forum to obtain support while phpBB.com is offline.
Please use the support forum on phpBB.com
Locked
rady
Registered User
Posts: 9
Joined: Tue Jun 17, 2003 6:31 pm

Upgrade from 3.0.RC5 to 3.0.4

Post by rady » Tue Feb 10, 2009 7:18 pm

I messed it up. Real bad. (i think)
Basically what i did was get the update from 3.0.3 to 3.0.4 (thinking that it will work) and updated (files and database). After deleting the install folder, the forum index (and every other page) was treating me with a nice error from the functions_contents.php if i can recall well.
I decided to get a fresh copy of 3.0.4 and upload it, keeping it connected to the old database. After doing that, it all seemed to be ok, the forum was working well and all, i could surf the forums, post replies but when trying to start a new thread i only got this beautiful error message (see attachement)
I ran a database update, and it said database was fine. Still, when trying to get a new topic, same result.

Has anyone ever confronted with such thing? Any ideas on how to fix?
Attachments
phpbb.jpg
(94.74 KiB) Downloaded 162 times

User avatar
JimA
Community Team Leader
Community Team Leader
Posts: 66
Joined: Sun Aug 24, 2008 2:29 pm

Re: Upgrade from 3.0.RC5 to 3.0.4

Post by JimA » Tue Feb 10, 2009 7:38 pm

Image Jim Mossing Holsteyn - Moderator Team Member
Knowledge Base | Documentation | Board rules

No support here on Area51, please visit the Support forums over at phpBB.com

bolverk
I've been banned
Posts: 280
Joined: Mon Feb 02, 2009 5:39 pm

Re: Upgrade from 3.0.RC5 to 3.0.4

Post by bolverk » Tue Feb 10, 2009 7:42 pm


rady
Registered User
Posts: 9
Joined: Tue Jun 17, 2003 6:31 pm

Re: Upgrade from 3.0.RC5 to 3.0.4

Post by rady » Tue Feb 10, 2009 8:24 pm

Problem persists. I noticed that the topic_last_post_subject field is BLOB and i've read on another forum that it should be varchar 255.
Could that be a problem?

User avatar
Kevin Clark
Support Team
Support Team
Posts: 751
Joined: Thu Feb 10, 2005 5:34 pm
Location: UK
Contact:

Re: Upgrade from 3.0.RC5 to 3.0.4

Post by Kevin Clark » Tue Feb 10, 2009 8:28 pm

Did you actually run the SQL queries that it outputs?
Image

rady
Registered User
Posts: 9
Joined: Tue Jun 17, 2003 6:31 pm

Re: Upgrade from 3.0.RC5 to 3.0.4

Post by rady » Tue Feb 10, 2009 8:30 pm

Yes, i commented the "die" line and browsed the file. It seemed ok.
Last edited by rady on Tue Feb 10, 2009 8:34 pm, edited 2 times in total.

User avatar
Kevin Clark
Support Team
Support Team
Posts: 751
Joined: Thu Feb 10, 2005 5:34 pm
Location: UK
Contact:

Re: Upgrade from 3.0.RC5 to 3.0.4

Post by Kevin Clark » Tue Feb 10, 2009 8:32 pm

No. That just shows you the results.
You need to run those results in the database.
This will cause the script to scan your database and then provide the correct schema for your MySQL version. As such it will output a list of SQL queries which can

* Be run all in one go via phpmyadmin
* Or run via the MySQL console
* Or given to the host to run.
Image

rady
Registered User
Posts: 9
Joined: Tue Jun 17, 2003 6:31 pm

Re: Upgrade from 3.0.RC5 to 3.0.4

Post by rady » Tue Feb 10, 2009 8:34 pm

i misunderstood what i had to do. i ran the sql querry and got this error:
MySQL said: Documentation
#1283 - Column 'post_text' cannot be part of FULLTEXT index

User avatar
Kevin Clark
Support Team
Support Team
Posts: 751
Joined: Thu Feb 10, 2005 5:34 pm
Location: UK
Contact:

Re: Upgrade from 3.0.RC5 to 3.0.4

Post by Kevin Clark » Tue Feb 10, 2009 8:38 pm

Try running all of them except the one for the posts table.
Image

rady
Registered User
Posts: 9
Joined: Tue Jun 17, 2003 6:31 pm

Re: Upgrade from 3.0.RC5 to 3.0.4

Post by rady » Tue Feb 10, 2009 8:42 pm

IT WORKED!!

The forum was saved ! :D


Thanks a million!!

Locked